import {CoreEntity} from "src/core/core.entity";
import {Column, Entity} from "typeorm";

@Entity('page_meta_cms')
export class PageMetaCmsEntity extends CoreEntity {
    @Column({default: null, nullable: true})
    signinPageMetaKeyword: string

    @Column({default: null, nullable: true})
    signinPageMetaDescription: string;

    @Column({default: null, nullable: true})
    signupPageMetaKeyword: string;

    @Column({default: null, nullable: true})
    signupPageMetaDescription: string;

    @Column({default: null, nullable: true})
    homePageMetaKeyword: string;

    @Column({default: null, nullable: true})
    homePageMetaDescription: string;

    @Column({default: null, nullable: true})
    shopPageMetaKeyword: string;

    @Column({default: null, nullable: true})
    shopPageMetaDescription: string;

    @Column({default: null, nullable: true})
    productDetailsPageMetaKeyword: string;

    @Column({default: null, nullable: true})
    productDetailsPageMetaDescription: string;

    @Column({default: null, nullable: true})
    wishlistPageMetaKeyword: string;

    @Column({default: null, nullable: true})
    wishlistPageMetaDescription: string;

    @Column({default: null, nullable: true})
    cartPageMetaKeyword: string;

    @Column({default: null, nullable: true})
    cartPageMetaDescription: string;

    @Column({default: null, nullable: true})
    aboutUsPageMetaKeyword: string;

    @Column({default: null, nullable: true})
    aboutUsPageMetaDescription: string;

    @Column({default: null, nullable: true})
    categoriesPageMetaKeyword: string;

    @Column({default: null, nullable: true})
    categoriesPageMetaDescription: string;

    @Column({default: null, nullable: true})
    brandPageMetaKeyword: string;

    @Column({default: null, nullable: true})
    brandPageMetaDescription: string;

    @Column({default: null, nullable: true})
    specialsPageMetaKeyword: string;

    @Column({default: null, nullable: true})
    specialsPageMetaDescription: string;

    @Column({default: null, nullable: true})
    locationPageMetaKeyword: string;

    @Column({default: null, nullable: true})
    locationPageMetaDescription: string;

    @Column({default: null, nullable: true})
    contactUsPageMetaKeyword: string;

    @Column({default: null, nullable: true})
    contactUsPageMetaDescription: string;

    @Column({default: null, nullable: true})
    faqPageMetaKeyword: string;

    @Column({default: null, nullable: true})
    faqPageMetaDescription: string;

    @Column({default: null, nullable: true})
    careerPageMetaKeyword: string;

    @Column({default: null, nullable: true})
    careerPageMetaDescription: string;

    @Column({default: null, nullable: true})
    careerDepartmentPageMetaKeyword: string;

    @Column({default: null, nullable: true})
    careerDepartmentPageMetaDescription: string;

    @Column({default: null, nullable: true})
    careerDetailsPageMetaKeyword: string;

    @Column({default: null, nullable: true})
    careerDetailsPageMetaDescription: string;

    @Column({default: null, nullable: true})
    blogPageMetaKeyword: string;

    @Column({default: null, nullable: true})
    blogPageMetaDescription: string;

    @Column({default: null, nullable: true})
    blogDetailsPageMetaKeyword: string;

    @Column({default: null, nullable: true})
    blogDetailsPageMetaDescription: string;

    @Column({default: null, nullable: true})
    privacyPageMetaKeyword: string;

    @Column({default: null, nullable: true})
    privacyPageMetaDescription: string;

    @Column({default: null, nullable: true})
    termsPageMetaKeyword: string;

    @Column({default: null, nullable: true})
    termsPageMetaDescription: string;

    @Column({default: null, nullable: true})
    profilePageMetaKeyword: string;

    @Column({default: null, nullable: true})
    profilePageMetaDescription: string;

    @Column({default: null, nullable: true})
    successPageMetaKeyword: string;

    @Column({default: null, nullable: true})
    successPageMetaDescription: string;

    @Column({default: null, nullable: true})
    retailerPageMetaKeyword: string;

    @Column({default: null, nullable: true})
    retailerPageMetaDescription: string;

    @Column({default: null, nullable: true})
    forgotPasswordPageMetaKeyword: string;

    @Column({default: null, nullable: true})
    forgotPasswordPageMetaDescription: string;

    @Column({default: null, nullable: true})
    choosePlacePageMetaKeyword: string;

    @Column({default: null, nullable: true})
    choosePlacePageMetaDescription: string;

    @Column({default: null, nullable: true})
    resetPasswordPageMetaKeyword: string;

    @Column({default: null, nullable: true})
    resetPasswordPageMetaDescription: string;

    @Column({default: null, nullable: true})
    invoicePageMetaKeyword: string;

    @Column({default: null, nullable: true})
    invoicePageMetaDescription: string;
}

