import {Module} from '@nestjs/common';
import {AlpineiqService} from './alpineiq.service';
import {AlpineiqController} from './alpineiq.controller';
import {TypeOrmModule} from '@nestjs/typeorm';
import {RetailerServiceRepository} from '../dutchie-plus/custom/retailer-service/retailer-service.repository';

@Module({
    imports: [
        TypeOrmModule.forFeature([
            RetailerServiceRepository
        ])
    ],
    controllers: [AlpineiqController],
    providers: [AlpineiqService]
})
export class AlpineiqModule {
}
