import { CoreEntity } from "src/core/core.entity";
import { Column, Entity } from "typeorm";

@Entity('refer_friend_hint')
export class ReferFriend extends CoreEntity {
    @Column({ default: null, nullable: true })
    senderName: string;

    @Column({ default: null, nullable: true })
    senderEmail: string;

    @Column({ default: null, nullable: true })
    friendEmail: string;

    @Column({ default: null, nullable: true })
    secondFriendEmail: string;

    @Column({ default: null, type: "longtext" })
    message: string;
}
